Subject: FVWM: Broken.

From: [email-masked] (David Kennedy)
Date: Thu, 13 Jun 1996 12:12:01 +0100

<criticism>
I was just musing on the fact that Fvwm2 is headed for an official 
release soon, and I don't think (to be brutally frank) that it 
is ready.

There are several buglets still in it, but the main problem is that
(as in the xman post earlier today) many apps are 'broken' with
fvwm. Now, I like fvwm and am happy to use a few workabouts, but
I know people who changed back from fvwm to another wm.

The problems occur with things like xman menus, Sun's filemgr
menus vanishing, Sun's mailtool acting oddly and so on.

All other WM's cope with these apps happily, these fvwm/menu problems
severly impact on the usefulness of these apps.
For example, xman is often rendered useless. Not good enough.

Its not enough to say 'App X is broken or buggy'. If other WM's
can cope then fvwm must be seen to cope until such time as a better
app is widely used. If it bloats the code...tough, broken WM's are
little use! :-)

</criticism>

Fvwm is still my WM of choice though, this post *is* supposed to
be constructive.

And will the next beta have StartsOnPage? :-)

The key binding bug (inactive after certain ops, needs focus
to go to a window and back to root to cure) can be fairly
serious as well. No point having keyboard shortcuts if they
don't always work...
-- 
David Kennedy, Dept. of Pure & Applied Physics, Queen's University of Belfast
Email: [email-masked] | URL: http://star.pst.qub.ac.uk/~dcjk/
      Hi! I'm a .signature virus! Copy me into yours and join the fun!
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].